Build Ошибка при запуске платформы cordova add android

Я пытаюсь создать проект Android PhoneGap по следующей ссылке: http://docs.phonegap.com/ru/edge/guide_platforms_android_index.md.html

Но когда я запускаю команду:

cordova platform add android 

Я получаю следующий вывод:

 Checking Android requirements... Creating android project... [Error: An error occured during creation of android sub-project. Looks like your environment fully supports cordova-android development! Creating Cordova project for the Android platform: Path: platforms/android Package: com.example.hello Name: HelloWorld Android target: android-17 Building cordova-3.2.0-rc1.jar { [Error: Command failed: BUILD FAILED /path/to/adt/sdk/tools/ant/build.xml:653: The following error occurred while executing this line: /path/to/adt/sdk/tools/ant/build.xml:698: null returned: 127 Total time: 1 second ] killed: false, code: 1, signal: null } ] 

Кто-нибудь знает, как избавиться от этой ошибки?

У меня точно такое же сообщение об ошибке. В моем случае lib32stdc ++ не был установлен в моем ubuntu, после установки все работает по назначению.

 sudo apt-get install lib32stdc++6 

Надеюсь, это может решить вашу проблему.

Для меня, на Ubuntu 13.10 64bit, это было исправлено установкой 32bit libz:

 sudo aptitude install libz1:i386 

Я нашел это:

  • Изучив файл build.xml и найдите, что он пытался запустить aapt
  • Поиск файла в каталоге android-sdk-linux / build-tools / 18.1.1 / build-tools и его запуск

    Libz.so.1 не найден

По моим сведениям, в первую очередь вам нужно скачать плагин cord-ova из cord-ova и после того, как вы установите плагин-затмение, обратившись к помощи -> Установите новое программное обеспечение, набрав телефонный зазор. В затмении Нажмите Ctrl + N и выберите телефонный зазор, а при создании проекта выберите свой шнур-ova, который вы загрузите, укажите путь до шнура (есть переключатель, чтобы выбрать его, по умолчанию он выбирает 1. XX, вместо этого выберите свою последнюю версию ниже)

Ошибка связана с Ant. Нет системы сборки.

Загрузите и установите Ant.

Убедитесь, что система PATH правильно настроена, как определено в установочном документе.